This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 588613 - Package does not ship the Eclipse XSL
Package does not ship the Eclipse XSL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docbook-style-xsl (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 588765
  Show dependency treegraph
 
Reported: 2010-05-04 01:32 EDT by Isaac Rooskov
Modified: 2015-07-13 00:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: docbook-style-xsl-1.75.2-6.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 588765 (view as bug list)
Environment:
Last Closed: 2010-05-13 15:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Isaac Rooskov 2010-05-04 01:32:48 EDT
Description of problem:
This package does not ship the Eclipse XSL, which is now needed in order to add a new build target to Publican. FYI the new build target will allow for us to transform our docs into intergrated Eclipse Help.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
N/A

Actual results:
The Eclipse XSL is not shipped

Expected results:
The Eclipse XSL is shipped

Additional info:
This build target is a top priority for the JBoss Developer Studio so the sooner we can get it in the better. 
In the bug 587489 (https://bugzilla.redhat.com/show_bug.cgi?id=587489) Jeff suggest the following modification to the docbook-style-xsl package:

$ cvs diff -u docbook-style-xsl.Makefile
Index: docbook-style-xsl.Makefile
===================================================================
RCS file: /cvs/pkgs/rpms/docbook-style-xsl/devel/docbook-style-xsl.Makefile,v
retrieving revision 1.8
diff -u -r1.8 docbook-style-xsl.Makefile
--- docbook-style-xsl.Makefile  23 Feb 2009 10:40:22 -0000      1.8
+++ docbook-style-xsl.Makefile  4 May 2010 04:42:46 -0000
@@ -6,11 +6,12 @@
 install: install-xsl install-img install-extensions install-misc install-epub

 install-xsl:
-       mkdir -p
$(DESTDIR)/{common,fo,html,htmlhelp/doc,javahelp,lib,template,xhtml,xhtml-1_1,manpages,profiling,highlighting,roundtrip,website}
+       mkdir -p
$(DESTDIR)/{common,eclipse,fo,html,htmlhelp/doc,javahelp,lib,template,xhtml,xhtml-1_1,manpages,profiling,highlighting,roundtrip,website}
        cp common/*.dtd $(DESTDIR)/common
        cp common/*.ent $(DESTDIR)/common
        cp common/*.xml $(DESTDIR)/common
        cp common/*.xsl $(DESTDIR)/common
+       cp eclipse/*.xsl $(DESTDIR)/eclipse
        cp fo/*.xml $(DESTDIR)/fo
        cp fo/*.xsl $(DESTDIR)/fo
        cp html/*.xml $(DESTDIR)/html

--
Comment 1 Ondrej Vasik 2010-05-04 02:08:14 EDT
Ok, just fyi, there is already internal request to rebase docbook-style-xsl to 1.73 version. As there is limited slot of updates in any RHEL release, you may use it as support bugzilla for justification of update.
Comment 2 Ondrej Vasik 2010-05-04 02:09:29 EDT
Sorry - forgot to write bugzilla number - https://bugzilla.redhat.com/show_bug.cgi?id=502418
Comment 4 Isaac Rooskov 2010-05-04 02:15:20 EDT
Sorry, my mistake, this was meant to be raised against the upstream in Fedora. Assigning to Fedora now.
Comment 6 Ondrej Vasik 2010-05-04 07:29:57 EDT
Built in rawhide as docbook-style-xsl-1.75.2-6.fc14 .
Comment 7 Fedora Update System 2010-05-04 08:05:24 EDT
docbook-style-xsl-1.75.2-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/docbook-style-xsl-1.75.2-6.fc13
Comment 9 Fedora Update System 2010-05-05 03:27:13 EDT
docbook-style-xsl-1.75.2-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update docbook-style-xsl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/docbook-style-xsl-1.75.2-6.fc13
Comment 10 Ruediger Landmann 2010-05-11 02:00:56 EDT
Hi Ondrej, 

could we please have this update for F12 as well? We'd like to be able to release the updated Publican for that version as well, instead of forcing people to upgrade.

Many thanks!
Ruediger
Comment 11 Fedora Update System 2010-05-11 06:39:46 EDT
docbook-style-xsl-1.75.2-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/docbook-style-xsl-1.75.2-6.fc12
Comment 12 Fedora Update System 2010-05-11 15:40:52 EDT
docbook-style-xsl-1.75.2-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update docbook-style-xsl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/docbook-style-xsl-1.75.2-6.fc12
Comment 13 Fedora Update System 2010-05-13 15:24:36 EDT
docbook-style-xsl-1.75.2-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-05-13 15:29:33 EDT
docbook-style-xsl-1.75.2-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.